<table style="width:100%" class="table">
    {if $service->package_option_link_to_manual ne ''}
        <tr>
            <td colspan="2" style="text-align: center; white-space: nowrap;">
                <h3><i class="fa fa-book"></i>&nbsp;&nbsp;<a href="{$service->package_option_link_to_manual}"
                                                             target="_blank"> {$service->lang['User manual']}</a></h3>
            </td>
        </tr>
    {/if}
    <tr>
        <td colspan="2" style="text-align: center; white-space: nowrap;">
            <h3><i class="fa fa-server"></i>&nbsp;&nbsp;{$service->lang['Web interface address']}</h3>
            <h3><a href="{$service->server_httpprefix}://{$service->server_hostname}:{$service->server_port}"
                   target="_blank">
                    {if $service->server_httpprefix == "http" and $service->server_port == "80"}
                        {$service->server_httpprefix}://{$service->server_hostname}/
                    {elseif $service->server_httpprefix == "https" and $service->server_port == "443"}
                        {$service->server_httpprefix}://{$service->server_hostname}/
                    {else}
                        {$service->server_httpprefix}://{$service->server_hostname}:{$service->server_port}
                    {/if}
                </a>
            </h3>
        </td>
    </tr>
    <tr style="text-align: left;">
        <td style="white-space: nowrap;"><i class="fa fa-user"></i>&nbsp;&nbsp;<b>{$service->lang['Username']}:</b></td>
        <td><strong>{$service->service_username}</strong></td>
    </tr>
    {if $service->package_option_show_password == 'show_button'}
        <tr style="text-align: left;">
            <td><b><i class="fa fa-lock"></i>&nbsp;&nbsp;{$service->lang['Password']}:</b></td>
            <td>
                <div class="form-group">
                    <div class="input-group">
                        <input type="password" id="password" name="password" class="form-control"
                               value="{$service->service_password}" disabled>
                        <div class="input-group-append">
                            <button id="showPasswordButton" class="btn btn-outline-secondary" type="button">
                                <i class="fa fa-eye"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </td>
        </tr>
    {/if}
    {if $service->package_option_show_password == 'plain_text'}
        <tr style="text-align: left;">
            <td><b><i class="fa fa-lock"></i>&nbsp;&nbsp;{$service->lang['Password']}:</b></td>
            <td><strong>{$service->service_password}</strong></td>
        </tr>
    {/if}
    <tr style="text-align: left;">
        <td style="white-space: nowrap;"><i class="fas fa-photo-video"></i>&nbsp;&nbsp;<b>{$service->lang['Libraries']}
                :</b></td>
        <td><strong>{$service->HtmlAdminInformationLibraries()}</strong></td>
    </tr>
    <tr style="text-align: left;">
        <td style="white-space: nowrap;"><i class="fas fa-user-slash"></i>&nbsp;&nbsp;<b>{$service->lang['Status']}:</b>
        </td>
        <td><strong>
                {if ($service->remote_user['Policy']['IsDisabled'] != '1')}
                    <span style="color:green;">{$service->lang['Enable']}</span>
                {else}
                    <span style="color:red;">{$service->lang['Disable']}&nbsp;&nbsp;
                    {if $service->remote_user['Policy']['InvalidLoginAttemptCount'] == $service->remote_user['Policy']['LoginAttemptsBeforeLockout']}
                        ({$service->lang['Error']}: {$service->lang['Too many invalid login attempts']}</span>)
                    {/if}
                {/if}</strong>
        </td>
    </tr>
    {if {$service->remote_user['Policy']['LoginAttemptsBeforeLockout']} != -1}
        <tr style="text-align: left;">
            <td style="white-space: nowrap;"><i
                        class="fas fa-times"></i>&nbsp;&nbsp;<b>{$service->lang['Failed Login Attempt']}:</b></td>
            <td><strong>{$service->remote_user['Policy']['InvalidLoginAttemptCount']}
                    /{$service->remote_user['Policy']['LoginAttemptsBeforeLockout']}</strong></td>
        </tr>
    {/if}
    <tr style="text-align: left;">
        <td style="white-space: nowrap;"><i class="fa fa-users"></i>&nbsp;&nbsp;<b>{$service->lang['Active Sessions']}
                :</b></td>
        <td><strong>{$all_sessions}/{$service->remote_user['Policy']['MaxActiveSessions']}</strong></td>
    </tr>
    <tr style="text-align: left;">
        <td colspan="2">{$active_devices}</td>
    </tr>
    <tr style="text-align: left;">
        <td style="white-space: nowrap;"><i
                    class="fa fa-lock"></i>&nbsp;&nbsp;<b>{$service->lang['Streaming bitrate limit']}:</b></td>
        <td><strong>{$service->remote_user['Policy']['RemoteClientBitrateLimit'] / 1000000} Mbps</strong></td>
    </tr>
    <tr style="text-align: left;">
        <td style="white-space: nowrap;"><i class="fas fa-sync"></i>&nbsp;&nbsp;<b>{$service->lang['Sync Play Access']}
                :</b></td>
        <td><strong>
                {if $service->remote_user['Policy']['SyncPlayAccess'] == 'CreateAndJoinGroups'}
                    {$service->lang['Allow to create and join groups']}
                {elseif $this->remote_user['Policy']['SyncPlayAccess'] == 'JoinGroups'}
                    {$service->lang['Allow to join groups']}
                {elseif $this->remote_user['Policy']['SyncPlayAccess'] == 'None'}
                    {$service->lang['Disabled']}
                {/if}
            </strong></td>
    </tr>
    {if $service->package_option_count_of_media_accounts != 0}
        <tr style="text-align: left;">
            <td style="white-space: nowrap;"><i
                        class="fa fa-users"></i>&nbsp;&nbsp;<b>{$service->lang['Count of Media Account']}:</b></td>
            <td><strong>{count($service->service_media_accounts)}
                    /{$service->package_option_count_of_media_accounts}</strong></td>
        </tr>
    {/if}
</table>
{if $service->package_option_count_of_media_accounts != 0}
    <div class="form-group text-center">
        <a href="clientarea.php?action=productdetails&id={$service->service_id}&action_m=add_media_account"
           class="btn btn-success"><i class="fa fa-user-plus">&nbsp;&nbsp;</i>{$service->lang['Add Media Account']}</a>
    </div>
    <table class="table table-list dataTable no-footer" style="table-layout: fixed;">
        <tbody>
        {foreach from=$service->service_media_accounts key=key item=value}
            <tr>
                <td>
                    <div class="row">

                        {if $value['Policy']['IsDisabled'] eq '1'}
                            <div class="col-sm" style="font-size:30px; color:red;">&#10006;</div>
                        {else}
                            <div class="col-sm" style="font-size:30px; color:green;">&#10004;</div>
                        {/if}

                        <div class="col-sm" style="font-size:20px; margin: auto"
                                {if $value['Policy']['IsDisabled'] eq '1'} style="pointer-events: none; opacity: 0.4;"{/if}>
                            {$value['Name']}<br>
                        </div>

                        <div class="col-sm">
                            <a href="clientarea.php?action=productdetails&id={$service->service_id}&action_m=edit_media_account&name={$value['Name']}"
                               class="btn btn-success"><i
                                        class="fa fa-pencil">&nbsp;&nbsp;</i>{$service->lang['Account Management']}</a>
                        </div>
                    </div>
                </td>
            </tr>
        {/foreach}
        </tbody>
    </table>
{/if}

<script>
    var passwordField = document.getElementById('password');
    var showPasswordButton = document.getElementById('showPasswordButton');

    showPasswordButton.addEventListener('mousedown', function () {
        passwordField.type = 'text';
    });

    showPasswordButton.addEventListener('mouseup', function () {
        passwordField.type = 'password';
    });

    showPasswordButton.addEventListener('mouseleave', function () {
        passwordField.type = 'password';
    });
</script>